import React from 'react';
import { FormControlProps, FormBaseControl } from './Item';
import { Button } from '../../types';
import { ActionSchema } from '../Action';
/**
 * 按钮控件。
 * 文档：https://baidu.gitee.io/amis/docs/components/form/button
 */
export declare type ButtonControlSchema = ActionSchema & FormBaseControl;
export interface ButtonProps extends FormControlProps, Omit<Button, 'size' | 'className'> {
}
export declare class ButtonControl extends React.Component<ButtonProps, any> {
    static defaultProps: Partial<ButtonProps>;
    render(): JSX.Element;
}
export declare class ButtonControlRenderer extends ButtonControl {
}
export declare class SubmitControlRenderer extends ButtonControl {
}
export declare class ResetControlRenderer extends ButtonControl {
}
