import React from 'react';
import { FormControlProps, FormBaseControl } from './Item';
/**
 * 数字输入框
 * 文档：https://baidu.gitee.io/amis/docs/components/form/number
 */
export interface NumberControlSchema extends FormBaseControl {
    type: 'number';
    /**
     * 最大值
     */
    max?: number;
    /**
     * 最小值
     */
    min?: number;
    /**
     * 步长
     */
    step?: number;
    /**
     * 精度
     */
    precision?: number;
    /**
     * 默认当然是
     */
    showSteps?: boolean;
}
export interface NumberProps extends FormControlProps {
    placeholder?: string;
    max?: number | string;
    min?: number | string;
    step?: number;
    precision?: number;
}
export default class NumberControl extends React.Component<NumberProps, any> {
    static defaultProps: Partial<NumberProps>;
    constructor(props: NumberProps);
    handleChange(inputValue: any): void;
    filterNum(value: number | string | undefined): number | undefined;
    render(): JSX.Element;
}
export declare class NumberControlRenderer extends NumberControl {
    static defaultProps: Partial<FormControlProps>;
}
